Show campaign
curl --request GET \
--url https://api.creditor.younegotiate.com/communications/campaigns/{campaign} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/communications/campaigns/{campaign}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/communications/campaigns/{campaign}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 101,
"template_id": 10,
"group_id": 25,
"template": {
"id": 10,
"name": "Settlement EcoLetter",
"type": {
"value": "e-letter",
"label": "Eco Letter"
}
},
"group": {
"id": 25,
"name": "Delivered January Group"
},
"frequency": {
"label": "Weekly"
},
"start_date": "2026-06-21",
"end_date": "2026-09-21",
"day_of_week": 1,
"day_of_month": 15,
"terms": "Weekly on Monday",
"is_run_immediately": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Show campaign
Return one creditor campaign owned by the authenticated creditor company. Sub-account creditor users can only access campaigns for their assigned sub-account groups.
GET
/
communications
/
campaigns
/
{campaign}
Show campaign
Last modified on July 20, 2026
Was this page helpful?
⌘I

